<?xml version="1.0" encoding="UTF-8"?>
<mapping>
  <description>Castor generated mapping file</description>
  <class cst:name="jp.terasoluna.rich.functionsample.requestanalysis.bean.RequestAnalysisData">
    <description>Default mapping for class jp.terasoluna.rich.functionsample.requestanalysis.bean.RequestAnalysisData</description>
    <map-to cst:xml="RequestAnalysisInputData"/>
    <field cst:name="stringClass" cst:type="java.lang.String">
    	<bind-xml name="stringClass" node="element"/>
    </field>
    <field cst:name="booleanExample" cst:type="boolean">
	    <bind-xml name="booleanExample" node="element"/>
    </field>
    <field cst:name="booleanClass" cst:type="java.lang.Boolean">
    	<bind-xml name="booleanClass" node="element"/>
    </field>
    <field cst:name="doubleExample" cst:type="double">
	    <bind-xml name="doubleExample" node="element"/>
    </field>
    <field cst:name="doubleClass" cst:type="java.lang.Double">
    	<bind-xml name="doubleClass" node="element"/>
    </field>
    <field cst:name="charExample" cst:type="char">
	    <bind-xml name="charExample" node="element"/>
    </field>
    <field cst:name="characterClass" cst:type="java.lang.Character">
    	<bind-xml name="characterClass" node="element"/>
    </field>
    <field cst:name="floatExample" cst:type="float">
	    <bind-xml name="floatExample" node="element"/>
    </field>
    <field cst:name="floatClass" cst:type="java.lang.Float">
    	<bind-xml name="floatClass" node="element"/>
    </field>
    <field cst:name="intExample" cst:type="int">
	    <bind-xml name="intExample" node="element"/>
    </field>
    <field cst:name="integerClass" cst:type="java.lang.Integer">
    	<bind-xml name="integerClass" node="element"/>
    </field>
    <field cst:name="longExample" cst:type="long">
	    <bind-xml name="longExample" node="element"/>
    </field>
    <field cst:name="longClass" cst:type="java.lang.Long">
    	<bind-xml name="longClass" node="element"/>
    </field>
    <field cst:name="shortExample" cst:type="short">
	    <bind-xml name="shortExample" node="element"/>
    </field>
    <field cst:name="shortClass" cst:type="java.lang.Short">
    	<bind-xml name="shortClass" node="element"/>
    </field>
    <field cst:name="byteExample" cst:type="byte">
	    <bind-xml name="byteExample" node="element"/>
    </field>
    <field cst:name="byteClass" cst:type="java.lang.Byte">
    	<bind-xml name="byteClass" node="element"/>
    </field>
    <field cst:name="dateClass" cst:type="java.util.Date" >
	    <bind-xml name="dateClass" node="element"/>
    </field>
    <field cst:name="bigDecimalClass" cst:type="java.math.BigDecimal" >
	    <bind-xml name="bigDecimalClass" node="element"/>
    </field>    
    <field cst:name="arrayClass" cst:collection="array" cst:type="java.lang.String" >
	    <bind-xml name="arrayClass" node="element"/>
    </field>
    <field cst:name="arrayListClass" cst:collection="arraylist" cst:type="java.lang.String" >
	    <bind-xml name="arrayListClass" node="element"/>
    </field>    
    <field cst:name="beanClass" cst:type="jp.terasoluna.rich.functionsample.common.bean.StringBean">
	    <bind-xml name="beanClass" node="element">
        	<class cst:name="jp.terasoluna.rich.functionsample.common.bean.StringBean">
            	<field cst:name="key" cst:type="java.lang.String" >
        	    	<bind-xml name="key" node="element"/>
	            </field>    
                <field cst:name="value" cst:type="java.lang.String" >
					<bind-xml name="value" node="element"/>
			    </field>    
			</class>
 		</bind-xml>
    </field>     
    <field cst:name="beanArrayClass" cst:collection="array" cst:type="jp.terasoluna.rich.functionsample.common.bean.StringBean">
	    <bind-xml name="beanArrayClass" node="element">
        	<class cst:name="jp.terasoluna.rich.functionsample.common.bean.StringBean">
            	<field cst:name="key" cst:type="java.lang.String" >
        	    	<bind-xml name="key" node="element"/>
	            </field>    
                <field cst:name="value" cst:type="java.lang.String" >
					<bind-xml name="value" node="element"/>
			    </field>    
			</class>
 		</bind-xml>
    </field> 
  </class>
  
  
</mapping>